[alsa-devel] [PATCH] Remove an obsolete macro in configure.in

Jordi Mallach jordi at debian.org
Mon May 27 17:00:50 CEST 2013


El dj 16 de 05 de 2013 a les 15:47 +0200, en/na Takashi Iwai va
> At Thu, 16 May 2013 04:32:58 -0400,
> olivier at trillion01.com wrote:
> > 
> > From: Olivier Langlois <olivier at trillion01.com>
> > 
> > 
> > lano1106 at whippet2 ~/dev/alsa-lib $ ./gitcompile
> > aclocal: warning: autoconf input should be named 'configure.ac', not 'configure.in'
> > configure.in:56: error: 'AM_CONFIG_HEADER': this macro is obsolete.
> >     You should use the 'AC_CONFIG_HEADERS' macro instead.
> > /usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
> > configure.in:56: the top level
> > autom4te: /usr/bin/m4 failed with exit status: 1
> > aclocal: error: echo failed with exit status: 1
> Sigh, automake should be renamed to automasochism...

Would you accept patches for some other improvements, like generating xz
tarballs and modernising some bits of the autotools infrastructure?

In particular, if wanted, getting rid of the package-of-packages layout
in alsa-tools and have it be a single package with a single configure
script like alsa-utils is something I'd like to get done in my copious
free time.


Jordi Mallach Pérez  --  Debian developer     http://www.debian.org/
jordi at sindominio.net     jordi at debian.org     http://www.sindominio.net/
GnuPG public key information available at http://oskuro.net/

More information about the Alsa-devel mailing list